- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cContextTypeSwitcher Class Reference
[Internal classes]

`#include <util.h>`

List of all members.

## Detailed Description

The constructor switches the context type, and the destructor restores the original context type.

See also:
  cSimulation::contextModule(), cSimulation::setContextModule()

## Public Member Functions
| cContextTypeSwitcher (int ctxtype)
| ~cContextTypeSwitcher ()

## Constructor & Destructor Documentation

cContextTypeSwitcher::cContextTypeSwitcher | ( | int | ctxtype | ) |

| Switches the context type (see CTX_xxx constants).

cContextTypeSwitcher::~cContextTypeSwitcher | ( |  | ) |

| Restores the original context type.

The documentation for this class was generated from the following file:

- util.h